Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 831621 - kde-apps/k3b-21.12.1[ffmpeg] fails to build against ffmpeg-5
Summary: kde-apps/k3b-21.12.1[ffmpeg] fails to build against ffmpeg-5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://invent.kde.org/multimedia/k3b...
Whiteboard: IUSE ffmpeg dropped in 21.12.3
Keywords: UPSTREAM
Depends on: kde-gear-21.12.3-stable
Blocks: ffmpeg-5.0
  Show dependency tree
 
Reported: 2022-01-20 16:30 UTC by Reuben Martin
Modified: 2022-08-15 21:42 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (build.log.gz,54.08 KB, application/gzip)
2022-01-20 16:31 UTC, Reuben Martin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Reuben Martin 2022-01-20 16:30:34 UTC
Depreciated APIs were removed in ffmpeg-5

Reproducible: Always
Comment 1 Reuben Martin 2022-01-20 16:31:36 UTC
Created attachment 762871 [details]
Build log
Comment 2 Andreas Sturmlechner gentoo-dev 2022-01-20 16:39:50 UTC
This was reported upstream, albeit in the wrong place.
Comment 3 jospezial 2022-01-21 07:02:44 UTC
(In reply to Andreas Sturmlechner from comment #2)
> This was reported upstream, albeit in the wrong place.

There is a patch to make it work with ffmpeg 5.0 .
Comment 4 Andreas Sturmlechner gentoo-dev 2022-01-21 07:55:45 UTC
And you know we prefer upstream patches. The current approach is to get rid of the broken functionality.
Comment 5 Andreas Sturmlechner gentoo-dev 2022-02-16 18:31:35 UTC
The option is now headed for removal upstream, and we will do the same downstream.
Comment 6 Larry the Git Cow gentoo-dev 2022-02-21 17:14:36 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/kde.git/commit/?id=bf5d8421329b1533e0365dffa6b570355f435938

commit bf5d8421329b1533e0365dffa6b570355f435938
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-02-21 17:13:14 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-02-21 17:13:26 +0000

    kde-apps/k3b: Drop IUSE ffmpeg
    
    Build broken by ffmpeg-5, but functionality already broken before.
    
    See also: https://invent.kde.org/multimedia/k3b/-/merge_requests/23
    
    Bug: https://bugs.gentoo.org/831621
    Package-Manager: Portage-3.0.30, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-apps/k3b/k3b-21.12.49.9999.ebuild | 10 +++-------
 kde-apps/k3b/k3b-9999.ebuild          | 10 +++-------
 2 files changed, 6 insertions(+), 14 deletions(-)
Comment 7 Larry the Git Cow gentoo-dev 2022-03-03 14:54:52 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9eb6d7472afb81f207fe2443f926bc7cc4e086ec

commit 9eb6d7472afb81f207fe2443f926bc7cc4e086ec
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-03-03 11:30:23 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-03-03 14:53:00 +0000

    kde-apps/k3b: 21.12.3 version bump
    
    Closes: https://bugs.gentoo.org/831621
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-apps/k3b/Manifest           |   1 +
 kde-apps/k3b/k3b-21.12.3.ebuild | 116 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 117 insertions(+)